.memory-game {
    width: 600px;
    height: 600px;
    margin-left: 31%;
    display: flex;
    flex-wrap: wrap;
    perspective: 1000px;
}

.memory-card {
    height: calc(25% - 10px);
    width: calc(20% - 10px);
    margin: 5px;
    position: relative;
    transform: scale(1);
    transform-style: preserve-3d;
    transition: transform .5s;
    box-shadow: 1px 1px 1px rgba(0,0,0,.3);
}

.memory-card:active{
    transform: scale(.97);
    transition: transform .2s;
}

.memory-card.flip{
    transform: rotateY(180deg);
}

.front-face,
.back-face {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
}

.front-face{
    transform: rotateY(180deg);
}